<div align="center">
	<a href="https://www.npmjs.com/~canvasjs">
		<img src="https://canvasjs.com/wp-content/uploads/images/logo/canvasjs-logo-240x100.png" alt="CanvasJS"/>
	</a>
</div>

# CanvasJS React StockCharts - Official
CanvasJS [React StockChart](https://canvasjs.com/react-charts/#stockcharts) Component for creating advanced interactive Financial Charts for your react applications. Library supports a wide range of chart types including line, area, candlestick, ohlc, etc.

<br/>

<a href="https://canvasjs.com/react-charts/#stockcharts">
	<img src="https://canvasjs.com/wp-content/uploads/images/npm/react/react-stockcharts.jpg" alt="CanvasJS React StockCharts">
</a>

<br/>

## Important Links
- [Official Website](https://canvasjs.com/)
- [React StockCharts Demo](https://canvasjs.com/react-charts/#stockcharts)
- [Download CanvasJS](https://canvasjs.com/download-html5-charting-graphing-library/)
- [React StockCharts Integration](https://canvasjs.com/docs/stockcharts/integration/react/)
- [StockChart Documentation](https://canvasjs.com/docs/stockcharts/basics-of-creating-html5-stockchart/)
- [StockChart Support Forum](https://canvasjs.com/forums/forum/stockchart-support/)

<br/>

## Installing CanvasJS React StockChart
Install CanvasJS React StockCharts to your application from npm.
##### Install React StockChart via NPM
```
npm install @canvasjs/react-stockcharts
```
See [npm documentation](https://docs.npmjs.com/) to know more about npm usage.

##### Import React StockChart Component
Import the React StockChart module into your React application.
```
import CanvasJSReact from '@canvasjs/react-stockcharts';
//var CanvasJSReact = require('@canvasjs/react-stockcharts');

var CanvasJSStockChart = CanvasJSReact.CanvasJSStockChart;
```

##### Set the stockchart-options & create chart
Set the stockchart-options & use 'CanvasJSStockChart' selector to create stockchart.
```
class App extends Component {
  render() {
    const options = {
      title: {
        text: "CanvasJS React StockChart"
      },
      charts: [{
        data: [{
          type: "line",
          dataPoints: [
            { x: new Date("2018-01-01"), y: 71 },
            { x: new Date("2018-02-01"), y: 55 },
            { x: new Date("2018-03-01"), y: 50 },
            { x: new Date("2018-04-01"), y: 65 },
            { x: new Date("2018-05-01"), y: 95 },
            { x: new Date("2018-06-01"), y: 68 },
            { x: new Date("2018-07-01"), y: 28 },
            { x: new Date("2018-08-01"), y: 34 },
            { x: new Date("2018-09-01"), y: 14 },
            { x: new Date("2018-10-01"), y: 71 },
            { x: new Date("2018-11-01"), y: 55 },
            { x: new Date("2018-12-01"), y: 50 },
            { x: new Date("2019-01-01"), y: 34 },
            { x: new Date("2019-02-01"), y: 50 },
            { x: new Date("2019-03-01"), y: 50 },
            { x: new Date("2019-04-01"), y: 95 },
            { x: new Date("2019-05-01"), y: 68 },
            { x: new Date("2019-06-01"), y: 28 },
            { x: new Date("2019-07-01"), y: 34 },
            { x: new Date("2019-08-01"), y: 65 },
            { x: new Date("2019-09-01"), y: 55 },
            { x: new Date("2019-10-01"), y: 71 },
            { x: new Date("2019-11-01"), y: 55 },
            { x: new Date("2019-12-01"), y: 50 }
          ]
        }]
      }],
      navigator: {
        slider: {
          minimum: new Date("2018-07-01"),
          maximum: new Date("2019-06-30")
        }
      }
    };

    return (
      <div>
        <CanvasJSStockChart options = { options }
          /* onRef = {ref => this.stockchart = ref} */
        />
      </div>
    );
  }
}
```

<br/>

<img src="https://canvasjs.com/wp-content/uploads/images/npm/react/react-stockchart.png" alt="React StockChart">

<br/>

#### Interactive React StockCharts
![React Interactive StockCharts](https://canvasjs.com/wp-content/uploads/images/npm/react/interactive-react-stockcharts.gif)

<br/>

### Related StockChart Packages
- [JavaScript StockCharts](https://www.npmjs.com/package/@canvasjs/stockcharts)
- [Angular StockCharts](https://www.npmjs.com/package/@canvasjs/angular-stockcharts)
- [Vue StockCharts](https://www.npmjs.com/package/@canvasjs/vue-stockcharts)
- [jQuery StockCharts](https://www.npmjs.com/package/@canvasjs/jquery-stockcharts)